> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/returns-api/grp-returns-api/core-concepts/ingestion.md).

# Ingestion

Before returns can be created, the system needs to know about outbound orders and their shipments.

#### Creating an order

Use `POST /{identifier}/outbound-orders` with the order reference, contact information, and line items. If `canOverwrite` is `true`, submitting the same order reference will replace the existing order. Otherwise, a `409 Conflict` is returned.

#### Submitting a shipment

After the order is created, submit shipment data via `POST /{identifier}/outbound-shipments`. Each shipment ties specific line items to a shipping reference and barcode reference, along with the shipping date and contact information.

#### Updating an order

Use `PUT /{identifier}/outbound-orders/{orderReference}` to update contact information, order items, or custom fields on an existing outbound order. The response returns the updated order data.

{% hint style="info" icon="lightbulb" %}

#### **Custom fields**

Both orders and shipments support a `customFields` object — a dictionary of string key-value pairs that can be used to pass retailer-specific metadata through the platform.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/returns-api/grp-returns-api/core-concepts/ingestion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
